Summary: A plain ASCII to PostScript converter.
Name: enscript
Version: 1.6.4
Release: 4%{?dist}
License: GPL
Group: Applications/Publishing
Source0: http://www.iki.fi/mtr/genscript/enscript-%{version}.tar.gz
Source1: enscript-ruby-1.6.4.tar.gz
#http://neugierig.org/software/ruby/ruby-enscript.tar.gz
Source2: enscript-php-1.6.4.st
#http://home.raxnet.net/downloads/viewcvs/php.st
Patch0: enscript-1.6.1-config.patch
Patch1: enscript-1.6.4-hilight.patch
Patch3: enscript-1.6.1-locale.patch
Patch4: enscript-doublefree.patch
Patch6: enscript-1.6.1-CAN-2004-1185.patch
Patch7: enscript-1.6.1-CAN-2004-1186.patch
Patch8: enscript-1.6.4-wrap_header.patch
URL: http://www.codento.com/people/mtr/genscript/
Prereq: /sbin/install-info
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: nenscript

%description
GNU enscript is a free replacement for Adobe's Enscript
program. Enscript converts ASCII files to PostScript(TM) and spools
generated PostScript output to the specified printer or saves it to a
file. Enscript can be extended to handle different output media and
includes many options for customizing printouts.

%prep
%setup -q
%patch0 -p1 -b .config
%patch1 -p1 -b .hilight
%patch3 -p1 -b .locale
%patch4 -p1 -b .doublefree
%patch6 -p1 -b .CAN-2004-1185
%patch7 -p1 -b .CAN-2004-1186
%patch8 -p1 -b .wrap_header
%{__tar} -C states/hl -zxf %{SOURCE1} ruby.st
install -pm 644 %{SOURCE2} states/hl/php.st

%build
%configure --with-media=Letter
make


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/locale/{de,es,fi,fr,nl,sl}/LC_MESSAGES
make DESTDIR=%{buildroot} install
rm -f %{buildroot}%{_datadir}/info/dir

%find_lang %name

# XXX note doubled %% in sed script below.
(cd %{buildroot};find .%{_datadir}/enscript/* \! -type d) | \
	sed -e 's,^\.,,' | sed -e 's,*font.map,%%config &,' > share.list
(cd %{buildroot};find .%{_datadir}/enscript/* -type d) | \
	sed -e 's,^\.,,' | sed -e 's,^,%dir ,' >> share.list

( cd %{buildroot}
  ln .%{_prefix}/bin/enscript .%{_prefix}/bin/nenscript
)

cat %{name}.lang >> share.list

%clean
rm -rf %{buildroot}

%preun
if [ $1 = 0 ]; then
    [ -f %{_infodir}/%{name}.info.gz ] && \
      /sbin/install-info --delete %{_infodir}/%{name}.info.gz \
	%{_infodir}/dir || :
fi

%post
[ -f %{_infodir}/%{name}.info.gz ] && \
  /sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :

%files -f share.list
%doc AUTHORS ChangeLog docs/FAQ.html NEWS README README.ESCAPES THANKS TODO 
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/*
%dir %{_datadir}/enscript
%{_infodir}/%{name}*
%config(noreplace) %{_sysconfdir}/enscript.cfg


%changelog
* Fri Sep 01 2006 Jitka Kudrnacova <jkudrnac@redhat.com> - 1.6.4-4
- enscript now wrapes long header instead of truncating

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.6.4-3.1
- rebuild

* Tue Jun 27 2006 Florian La Roche <laroche@redhat.com> - 1.6.4-3
- /sbin/install-info is required for scripts

*Fri Feb 17 2006 Jitka Kudrnacova <jkudrnac@redhat.com> 1.6.4-2
- added new highlighters (#177336)

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.6.4-1.1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.6.4-1.1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Jan 27 2006 Jitka Kudrnacova <jkudrnac@redhat.com> 1.6.4-1.1
- fixed URL in the description (bug #178444)

* Fri Dec 23 2005 Tim Waugh <twaugh@redhat.com> 1.6.4-1
- 1.6.4 (bug #176349).  No longer need tmp, CAN-2004-1184, demunge patches.

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Mar  8 2005 Tim Waugh <twaugh@redhat.com> 1.6.1-31
- Fixed po files (bug #149859).

* Wed Mar  2 2005 Tim Waugh <twaugh@redhat.com> 1.6.1-30
- Rebuild for new GCC.

* Tue Jan 29 2005 Tim Waugh <twaugh@redhat.com> 1.6.1-29
- Applied patch to fix CAN-2004-1186 (bug #144684).
- Applied patch to fix CAN-2004-1185 (bug #144684).
- Backported patch to fix CAN-2004-1184 (bug #144684).

* Mon Sep 27 2004 Tim Waugh <twaugh@redhat.com> 1.6.1-28
- Fixed double-free problem (bug #132964).

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Nov  3 2003 Tim Waugh <twaugh@redhat.com>
- Removed mail patch.  It was included to be more compatible with an
  lpr we no longer ship.  Fixes bug #108762.

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Nov 20 2002 Tim Powers <timp@redhat.com>
- rebuild on all arches

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed May 22 2002 Tim Waugh <twaugh@redhat.com> 1.6.1-20
- Fix URL (bug #65278).

* Wed Apr  3 2002 Tim Waugh <twaugh@redhat.com> 1.6.1-19
- Fix license (bug #62573).

* Mon Mar 18 2002 Tim Waugh <twaugh@redhat.com> 1.6.1-18
- Fix locale issues (bug #61294).

* Mon Feb 04 2002 Tim Waugh <twaugh@redhat.com> 1.6.1-17
- Rebuild in new environment.

* Mon Jan 14 2002 Tim Waugh <twaugh@redhat.com> 1.6.1-16.2
- Use tmpfile instead of tmpnam or tempnam (bug #57704).
- Built for Red Hat Linux 7.x.

* Wed Jan 09 2002 Tim Powers <timp@redhat.com> 1.6.1-16
- automated rebuild

* Wed Dec 19 2001 Tim Waugh <twaugh@redhat.com> 1.6.1-15
- Own %{_datadir}/enscript directory (bug #56974).

* Mon Jun 25 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.6.1-14
- add optional mail paramater, closing bug #17750
- patch from marques@cs.cornell.edu

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Tue Feb 27 2001 Trond Eivind Glomsrd <teg@redhat.com>
- langify

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 12 2000 Preston Brown <pbrown@redhat.com>
- FHS paths

* Thu Feb 03 2000 Preston Brown <pbrown@redhat.com>
- rebuild to gzip man pages

* Wed Mar 24 1999 Erik Troan <ewt@redhat.com>
- marked /usr/share/enscript/font.map as a config file

* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- added documentation to the RPM

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Fri Mar 19 1999 Jeff Johnson <jbj@redhat.com>
- strip binaries.
- include i18n locales.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Wed Nov 11 1998 Preston Brown <pbrown@redhat.com>
- translations ripped out, slight cleanup to build section.

* Mon Nov 09 1998 Preston Brown <pbrown@redhat.com>
- initial build of GNU enscript to replace nenscript.
